//+------------------------------------------------------------------+
//|                                                 JS.Urovni.V2.mq4 |
//|                     js_sergey@list.ru   2009 |
//+------------------------------------------------------------------+
#property copyright " js_sergey@list.ru "
#property link      " http://multiexperts.ru/ "

#property indicator_chart_window

extern int     = 120;
extern color  .High  = RoyalBlue;
extern color  .Low   = Crimson;
extern int      = 0;
extern int     = 1;
extern bool       = True;


string lineLow[300];
string lineHigh[300];
double dLow[300];
double dHigh[300];
double dTime[300];
//+------------------------------------------------------------------+
int start()
  {
//----

    for (int i=0; i<; i++) {
   
    dLow[i] = iLow(Symbol(),43200,i);
    dHigh[i] = iHigh(Symbol(),43200,i);
    dTime[i] = iTime(Symbol(),43200,i);
    
    datetime Ts = Time[0]+Period()*40*(WindowBarsPerChart());
    int YY=TimeYear(dTime[i]);   
    int MN=TimeMonth(dTime[i]);
  
    lineLow[i] = ".Low  "+MN+" . "+YY;
    lineHigh[i]= ".High  "+MN+" . "+YY;
    
    if(ObjectFind(lineLow[i])!=0)
    ObjectDelete(lineLow[i]);
    if(ObjectFind(lineLow[i])<0){
    ObjectCreate(lineLow[i], OBJ_TREND, 0, Ts, dLow[i], Time[10],dLow[i]);
    ObjectSet(lineLow[i], OBJPROP_STYLE, );
    ObjectSet(lineLow[i], OBJPROP_WIDTH, ); 
    ObjectSet(lineLow[i], OBJPROP_COLOR, .Low);
    ObjectSet(lineLow[i], OBJPROP_BACK,  true);
    ObjectSet(lineLow[i], OBJPROP_RAY,   ); // 
    ObjectSetText(lineLow[i],"",10);
   } else {
      ObjectMove(lineLow[i], 1, Time[10],dLow[i]);
      ObjectMove(lineLow[i], 0, Ts,dLow[i]);
      ObjectSetText(lineLow[i],"",10);
   }
   
   
    if(ObjectFind(lineHigh[i])!=0)
    ObjectDelete(lineHigh[i]);
    if(ObjectFind(lineHigh[i])<0){
    ObjectCreate(lineHigh[i], OBJ_TREND, 0, Ts, dHigh[i], Time[10],dHigh[i]);
    ObjectSet(lineHigh[i], OBJPROP_STYLE, );
    ObjectSet(lineHigh[i], OBJPROP_WIDTH, ); 
    ObjectSet(lineHigh[i], OBJPROP_COLOR, .High);
    ObjectSet(lineHigh[i], OBJPROP_BACK,  true);
    ObjectSet(lineHigh[i], OBJPROP_RAY,   ); // 
    ObjectSetText(lineHigh[i],"",10);  
   } else {
      ObjectMove(lineHigh[i], 1,Time[10],dHigh[i]);
      ObjectMove(lineHigh[i], 0,Ts,dHigh[i]);
      ObjectSetText(lineHigh[i],"",10);
   }
 }
//----
   return(0);
}
//+------------------------------------------------------------------+
int deinit()
  {
  //----
    for (int i=0; i<; i++) {
    dTime[i] = iTime(Symbol(),43200,i);
    int YY=TimeYear(dTime[i]);
    int MN=TimeMonth(dTime[i]);
    lineLow[i] = ".Low  "+MN+" . "+YY;
    lineHigh[i]= ".High  "+MN+" . "+YY;
   
    ObjectDelete(lineLow[i]);
    ObjectDelete(lineHigh[i]);
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+